#!/bin/bash
SERVERNAME=openvpn-02-med-guest
CONFIG_VOLUME=e3c36fef-86df-4e87-a9b2-1244cac8e17b

echo "Creating VM ${SERVERNAME}"

openstack server create  \
--image "ubuntu-16.04.4-amd64" \
--user-data data-${SERVERNAME}.yaml \
--key-name "Sebastian Rojo" \
--flavor m1.ubuntu.tiny.sd \
--min 1 \
--max 1 \
--security-group ClientesProtectNetwork \
--security-group DefaultSapian \
--availability-zone nuczone \
--nic net-id=c07e3167-96d8-42e2-8c58-a423e2295200 \
--wait \
${SERVERNAME}


for RUN in {1..50}; do
    if [ "$(openstack server show ${SERVERNAME} | awk '/status/ {print $4}')" == "ACTIVE" ]
    then
      openstack server show ${SERVERNAME}
      echo "${SERVERNAME} Active. Attahing CONFIG_VOLUME ${CONFIG_VOLUME}..."
      openstack server add volume --device /dev/vdb ${SERVERNAME} ${CONFIG_VOLUME}
      openstack server add floating ip ${SERVERNAME} 172.16.253.110
      openstack volume show ${CONFIG_VOLUME}
      openstack server show ${SERVERNAME}
      exit 0
    else
      echo "VM ${SERVERNAME} is not active yet"
      sleep 2
    fi
done
